<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 26/08/2019 - Created.
 -->
<!-- VTT WOA List View Filter -->
<!--suppress HtmlUnknownTag -->
<template>

	<c-vtt_woa-list-view_save-popup filter={filter}
									if:true={showSavePopup}
									onclose={closeSavePopup}></c-vtt_woa-list-view_save-popup>

	<lightning-card  title="Criteria"
					 class="slds-is-relative">

		<lightning-spinner if:true={loading}
						   size="medium"
						   alternative-text="Loading..."
						   variant="brand"></lightning-spinner>

		<c-hog_error-msg error-message={errorMessage}
						 if:true={errorMessage}>
		</c-hog_error-msg>

		<div class="slds-p-horizontal_small slds-text-align_center"
			 if:false={errorMessage}>
			<div class="slds-text-align_left">
				<lightning-combobox name="Vendor"
									label="Vendor"
									value={filter.vendorFilter}
									if:true={selectOptions.isAdmin}
									onchange={handleVendorSelection}
									options={selectOptions.vendors}></lightning-combobox>
				<lightning-combobox name="Vendor"
									label="Vendor"
									value={filter.vendorFilter}
									if:false={selectOptions.isAdmin}
									options={selectOptions.vendors}
									disabled></lightning-combobox>

				<lightning-combobox name="Tradesman"
									label="Tradesman"
									value={filter.tradesmanFilter}
									onchange={handleTradesmanChange}
									options={selectOptions.tradesmans}></lightning-combobox>

				<lightning-input name="Scheduled From"
								 label="Scheduled From"
								 value={filter.scheduledFromFilter}
								 onchange={handleScheduleFromChange}
								 autocomplete="off"
								 type="date"></lightning-input>

				<lightning-input name="Scheduled To"
								 label="Scheduled To"
								 value={filter.scheduledToFilter}
								 onchange={handleScheduleToChange}
								 autocomplete="off"
								 type="date"></lightning-input>

				<lightning-combobox name="AMU"
									label="AMU"
									value={filter.amuFilter}
									onchange={handleAMUChange}
									options={selectOptions.AMUs}></lightning-combobox>

				<lightning-input name="Operating Route"
								 label="Operating Route"
								 value={filter.routeFilter}
								 onchange={handleRouteChange}
								 type="text"></lightning-input>

				<lightning-input name="Planner Group"
								 label="Planner Group"
								 value={filter.plannerGroupFilter}
								 onchange={handlePlannerGroupChange}
								 type="text"></lightning-input>

				<lightning-dual-listbox name="Activity Status"
										label="Activity Status"
										source-label="Available"
										selected-label="Selected"
										size=4
										value={filter.activityMultiStatusFilter}
										onchange={handleActivityStatusChange}
										options={selectOptions.activityStatuses}></lightning-dual-listbox>

				<div class="slds-p-vertical--x-small">
					<lightning-input name="Hide Completed"
									 label="Hide Completed"
									 type="checkbox"
									 onchange={handleHideCompletedChange}
									 if:true={filter.hideCompletedFilter}
									 checked></lightning-input>
					<lightning-input name="Hide Completed"
									 label="Hide Completed"
									 type="checkbox"
									 onchange={handleHideCompletedChange}
									 if:false={filter.hideCompletedFilter}></lightning-input>
				</div>

				<lightning-input label=""
								 name="anyText"
								 placeholder="Any Text"
								 variant="label-hidden"
								 value={filter.filterName}
								 onchange={handleAnyTextChange}
								 type="text"></lightning-input>
			</div>

			<lightning-button-group class="slds-p-top--x-small">
				<lightning-button label="Search"
								  variant="brand"
								  onclick={handleSearch}></lightning-button>
				<lightning-button label="Clear"
								  variant="neutral"
								  onclick={handleClear}></lightning-button>
				<lightning-button label="Save"
								  variant="success"
								  if:true={isPrivilegedUser}
								  onclick={handleSave}></lightning-button>
			</lightning-button-group>

		</div>

		<div slot="footer"
			 if:true={displayFooter}>

			<c-vtt_woa-list-view_filter-store if:false={initialLoading}
											  onselection={handleStoredFilterSelection}
											  onlastfilterload={handleLastFilterLoaded}></c-vtt_woa-list-view_filter-store>

		</div>

	</lightning-card>

</template>